CachingOptions.KeyCache (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.cache

## Class CachingOptions.KeyCache

- java.lang.Object
- - org.apache.cassandra.cache.CachingOptions.KeyCache

- Enclosing class:
    CachingOptions

      public static class CachingOptions.KeyCache
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CachingOptions.KeyCache.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CachingOptions.KeyCache.Type` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyCache(CachingOptions.KeyCache.Type type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `static CachingOptions.KeyCache` | `fromString(java.lang.String keyCache)`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final CachingOptions.KeyCache.Type type

  - ### Constructor Detail

    - #### KeyCache

          public KeyCache(CachingOptions.KeyCache.Type type)

  - ### Method Detail

    - #### fromString

          public static CachingOptions.KeyCache fromString(java.lang.String keyCache)

    - #### isEnabled

          public boolean isEnabled()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation